.contact-details-block .block-inner {
z-index: 1;
position: relative;
}
.contact-details-column-container {
  display: grid;
box-sizing: border-box;
}

/* Style */
.contact-details-style-contact-details-map .column-details, .contact-details-style-contact-details-form .column-details {
  order: 1;
}
.contact-details-style-contact-details-map .column-map-form, .contact-details-style-contact-details-form .column-map-form {
  order: 2;
}

.contact-details-style-map-contact-details .column-details, .contact-details-style-form-contact-details .column-details {
  order: 2;
}
.contact-details-style-map-contact-details .column-map-form. .contact-details-style-form-contact-details .column-map-form {
  order: 1;
}

/* Column widths */
.contact-details-block.content-column-widths-50-50 .contact-details-column-container {
  grid-template-columns: 50% 50%;
}
.contact-details-block.content-column-widths-60-40 .contact-details-column-container {
grid-template-columns: minmax(300px,33.7%) 1fr;
  display: grid;
  gap: 0;
}
.contact-details-block.content-column-widths-40-60 .contact-details-column-container {
  grid-template-columns: 40% 60%;
}

/* Content alignment */
.contact-details-block.content-vertical-alignment-center .column-details {
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.contact-details-block.content-vertical-alignment-top .column-details {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}
.contact-details-block.content-vertical-alignment-bottom .column-details {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}

.contact-details-block.content-horizontal-alignment-center .column-details {
  text-align: center;
}
.contact-details-block.content-horizontal-alignment-center .column-details .contact-details-social-icons .social-links {
  justify-content: center;
}
.contact-details-block.content-horizontal-alignment-left .column-details {
  text-align: center;
}
.contact-details-block.content-horizontal-alignment-left .contact-details-social-icons .social-links {
  justify-content: flex-start;
}
.contact-details-block.content-horizontal-alignment-right .column-details {
  text-align: right;
}
.contact-details-block.content-horizontal-alignment-right .contact-details-social-icons .social-links {
  justify-content: flex-end;
}

/* General styles */
.contact-details-style-contact-details-map .column-details {
padding: 0 26.3% 0 0;
}
.contact-details-block .column-details {

}
.contact-details-block .contact-details-static-map img {
display: block;
object-fit: cover;
height: 100%;
max-height: 875px;
object-position: center;
}

.contact-details-heading {
   margin-bottom: 30px; 
}
.contact-details-social-icons {
  margin-top: 40px;
}



/* Map */
.contact-details-google-map {
  height: 100%;
}
.contact-details-google-map .marker-inner {
  max-width: 215px;
}
.contact-details-google-map .marker-inner * {
  color: #ec6350;
}
.contact-details-google-map .marker-inner h4 {
  font-size: 16px;
  margin-bottom: 8px;
}
.contact-details-google-map .address {
    font-size: 14px;
}
.contact-details-block .acf-map img {
   max-width: inherit !important;
}
.contact-details-block .acf-map {
  min-height: 300px !important;
  max-height: 1080px;
}


.contact-details-column-container .col1 {
display: grid;
grid-template-columns: 1fr minmax(300px,50%);
gap: 2%;
padding-right: 9%;
}



.contact-details-column-container .col2 {
  background: #727D71;
  color: #f7f5ec;
  display: flex;
  flex-direction: column;
justify-content: center;
align-items: center;
  text-align: center;
  padding-left: 9%;
}
.contact-details-column-container .col2 h2 {
  color: #f7f5ec;
}





@media all and (max-width: 1640px) {
.contact-details-google-map .contact-details-acf-map {
  height: 675px;
}
.contact-details-style-contact-details-map .column-details {
    padding: 0 20% 0 0;
}
}
@media all and (max-width: 1366px) {
.contact-details-google-map .contact-details-acf-map {
  height: 625px;
}
.contact-details-block.content-column-widths-60-40 .contact-details-column-container {
  grid-template-columns: minmax(300px,40%) 1fr;
}
}
@media all and (max-width: 1024px) {
.contact-details-google-map .contact-details-acf-map {
  height: 550px;
}
.contact-details-block.content-column-widths-50-50 .contact-details-column-container {
  grid-template-columns: 1fr;
}
.contact-details-style-contact-details-map .column-details {
  padding-right: clamp(12px, 8% - 18px, 22px);
  padding-left: clamp(12px, 8% - 18px, 22px);
}
.contact-details-style-contact-details-map .column-details {
    padding: 0 15% 0 0;
}
.contact-details-block.content-column-widths-60-40 .contact-details-column-container {
  grid-template-columns: minmax(300px,45%) 1fr;
}
}
@media all and (max-width: 960px) {
.contact-details-block.content-column-widths-60-40 .contact-details-column-container {
  grid-template-columns: 1fr;
}
  .contact-details-style-contact-details-map .column-details {
    padding: 0;
  }
.contact-details-style-contact-details-map .column-map-form {
margin-top: 35px;
}
}
@media all and (max-width: 767px) {
.contact-details-google-map .contact-details-acf-map {
  height: 500px;
}
.contact-details-column-container {
  padding: 10px;
}
.contact-details-block .column-details {
  padding: 15px 15px 0 15px;
}
}
@media all and (max-width: 480px) {
.contact-details-google-map .contact-details-acf-map {
  height: 450px;
}
}
@media all and (max-width: 413px) {
.contact-details-google-map .contact-details-acf-map {
  height: 425px;
}
}
